﻿@model IEnumerable<Otus.Teaching.PromoCodeFactory.Mvc.Models.PromoCodeViewModel>

<p>
    <a asp-action="Create">Создать</a>
</p>

<table class="table table-striped">
    
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Code)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ServiceInfo)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BeginDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PartnerName)
        </th>
        <th></th>
    </tr>
    </thead>
    
    <tbody>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Code)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ServiceInfo)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BeginDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EndDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PartnerName)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Изменить</a>
                <a asp-action="Details" asp-route-id="@item.Id">Подробнее</a>
                <a asp-action="ConfirmDelete" asp-route-id="@item.Id">Удалить</a>
            </td>
        </tr>
    }
    </tbody>

</table>
